{% load static %}
{% load i18n %}
<!DOCTYPE html>
<html>
<head>
    <title>{% block title %}{% endblock %}</title>
    <link rel="stylesheet" href="{% static 'app/style.css' %}">
    <script src="{% static 'app/custom.js' %}"></script>
    <meta charset="UTF-8">
</head>

<style id="compiled-css" type="text/css">
.my-search {
    display:inline;
}

select, input {
    display:inline-block;
    float:none;
}
</style>

<body class="spec-font {% if user.is_authenticated %}main{% endif %}">
    <table class="dashboard">
            <tr>
                <td>
                    <form action="{% url 'set_language' %}" method="post">
                        {% csrf_token %}
                        <div class="my-search">
                            <input name="next" type="hidden" value="{{ redirect_to }}">
                            <select class="btn language" name="language">
                                {% get_current_language as LANGUAGE_CODE %}
                                {% get_available_languages as LANGUAGES %}
                                {% get_language_info_list for LANGUAGES as languages %}
                                {% for language in languages %}
                                    <option value="{{ language.code }}"{% if language.code == LANGUAGE_CODE %} selected{% endif %}
                                    style="background-color: #1b515e">
                                        {{ language.name_local }} ({{ language.code }})
                                    </option>
                                {% endfor %}
                            </select>
                            <input class="btn btn-link" type="submit" value="{% trans 'Go' %}">
                        </div>
                    </form>
                </td>
                {% if user.is_authenticated %}
                <td>
                    <form action="{% url 'logout' %}">
                        <input class="btn btn-link spec-font" type="submit" value="{% trans 'Logout' %}" />
                    </form>
                </td>
                {% else %}
                <td>
                    <form action="{% url 'login' %}">
                        <input class="btn btn-link spec-font" type="submit" value="{% trans 'Login' %}" />
                    </form>
                </td>
                <td>
                    <form action="{% url 'register' %}">
                        <input class="btn btn-link spec-font" type="submit" value="{% trans 'Register' %}" />
                    </form>
                </td>
                {% endif %}
            </tr>
    </table>
    <header>
        <h1>{% trans "Habit Tracker"  %}</h1>
    </header>

    {% include 'app/messages.html' %}
    {% if user.is_authenticated %}
    <div class="sidenav">
      <a href="{% url 'index' %}">{% trans "Tracker"  %}</a>
{#      <a href="#">Friends</a>#}
{#      <a href="#">Rating</a>#}
    </div>
    {% endif %}
    <main>
        {% block content %}
        {% endblock %}
    </main>
</body>

<footer style="text-align: center">
    <p>{% trans "Created for Python Development"  %}</p>
    <p>{% trans "2023, Moscow" %}</p>
</footer>
</html>